 #  (C) Copyright 2001-2014 Toshiba Global Commerce Solutions, Inc
 #  All right reserved.
 #
 # Redistribution and use in source and binary forms, with or without
 # modification, are permitted provided that the following conditions are met:
 #
 # 1.  Redistributions of source code must retain the above copyright notice,
 #     this list of conditions and the following disclaimer.
 #
 # 2.  Redistributions in binary form must reproduce the above copyright notice,
 #     this list of conditions and the following disclaimer in the documentation
 #     and/or other materials provided with the distribution.
 #
 # 3.  The name of the author may not be used to endorse or promote products
 #     derived from this software without specific prior written permission.
 #
 # THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
 # WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
 # MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
 # EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 # SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
 # PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
 # OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
 # WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
 # OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
 # THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # Should you need to contact me, the author, you can do so either by
 # e-mail - mail your message to <garmentrout@toshibagcs.com>.

# norootforbuild

Name:             toshiba-poss-suse11
Version:          11.0.0
Release:          201.1
Group:            System/Kernel
Summary:          Toshiba Point of Sale Subsystem for Linux Kernel Modules Package
License:          GPL-2.0
Url:              http://www.toshibacommerce.com
Source0:          toshiba-poss-suse11-11.0.0-201.tar.bz2
Obsoletes:        ibm-poss-suse11
Source1:          Module.supported
Source2:          COPYING
BuildRoot:        %{_tmppath}/%{name}-%{version}-build
BuildRequires:    %kernel_module_package_buildreqs

%kernel_module_package -p %_sourcedir/preamble -x xen

%description 
The Toshiba Point of Sale Subsystem kernel modules provide support for accessing
Toshiba Point-of-Sale I/O devices.

%package KMP
Summary:          Toshiba Point of Sale Subsystem for Linux Kernel Modules
Group:            System/Kernel

%description KMP
The Toshiba Point of Sale Subsystem kernel modules provide support for accessing
Toshiba Point-of-Sale I/O devices.

%prep 
%setup
cp %_sourcedir/Module.supported Module.supported
cp %_sourcedir/COPYING COPYING
set -- *
mkdir source
mv "$@" source/
mkdir obj

%build
export EXTRA_CFLAGS='-DVERSION=\"%version\"'
for flavor in %flavors_to_build; do
        rm -rf obj/$flavor
        cp -r source obj/$flavor
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules \
                M=$PWD/obj/$flavor
done


%install
export INSTALL_MOD_PATH=$RPM_BUILD_ROOT
export INSTALL_MOD_DIR=updates/Toshiba/pos
for flavor in %flavors_to_build; do
        make -C /usr/src/linux-obj/%_target_cpu/$flavor modules_install \
                M=$PWD/obj/$flavor
done

%changelog
* Wed Feb 17 2016 sbahling@suse.com
- Update to version  11.0.0
- Remove Obsolete for base package that doesn't exist
- Add preamble for obsoletes of -kmp subpackages
- Update License tag to match SPDX standard
* Tue Dec 23 2014 garmentrout@toshibagcs.com
- Added COPYING file
* Wed Jun 12 2013 poswald@novell.com
-Initial PLDP build of the Toshiba version of the poss driver
* Tue Apr  9 2013 gha@us.ibm.com
- Changed install directory from updates/IBM/pos to updates/Toshiba/pos
* Thu Jan 10 2013 gha@us.ibm.com
- Changed company ownership from IBM to Toshiba Global Commerce Solutions, Inc.
* Tue Apr 21 2009 gha@us.ibm.com
- Updates after initial build process review
* Thu Mar 26 2009 gha@us.ibm.com
- Initial version
